{% extends 'app_pizzaplanet/base.html' %}
{% load static %}

{% block contenido %}

<div class="container-fluid mt-3">
    <div class="row">
        <div class="col-md-6">
            <br>
            <h4 class="texto-ttl-lcl">Nuestro Local mas cercano a ti</h4> <br>
            <h6 class="texto-mapa">Haz click en el marcador del mapa para ver la direccion exacta </h6>
            <div id="mapaLocal"></div>

        </div>
        <div class="col-md-6">
            <div class="container-fluid-md-6">
                <br>
                <h4 class="texto-ttl-ubic">Donde quieres que lleguen tus pedidos</h4> <br>
                <h6 class="texto-mapa">Puedes mantener la direccion actual o enviar el pedido a alguien mas </h6>
                <div class="container-fluid-md-6 autocomplete ">
                    <input type="text" id="autocomplete">

                </div>
                <div id="map"></div>
                <div class="container-fluid-md-3 centrar-boton">

                    <!-- <button type="button" onclick="getValueInput()" class="btn btn-outline-secondary"
                        id="btnGuardarDirec">Guardar direccion entrega</button>
                    Obtener y mostrar la direccion
                      <p id="valueInput"></p>  
                    <script>

                        const getValueInput = () => {
                            let inputValue = document.getElementById("autocomplete").value;
                            document.getElementById("valueInput").innerHTML = inputValue;
                        }

                    </script>-->

                </div>
            </div>

        </div>
    </div>
</div>
<script>

    $(document).ready(function () {

        $.getJSON("http://api.weatherstack.com/current?access_key=c862b56809d19fe66c62258e9af22303&query=Concepcion", function (datos){

            $("#climaconce").text(datos.current.weather_descriptions);
            $("#icono").attr("src",datos.current.weather_icons[0]);
    });
                });

</script>
<br>
<div class="container-fluid">

    <div class="col-md-12 containercenter">


        <h4 class="colorclima">El clima en concepcion es: </h4>
        <h4 id="climaconce" class="colorclima"></h4>
        <img id="icono" class="center"  >
        <h4 class="colorclima">Cuidate, usa mascarilla. </h4>

    </div>

</div>




<script async
    src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAt-gse4bGMVJTT07H04Sf92YB42JmoTh0&callback=initMap">
    </script>

<script async
    src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAt-gse4bGMVJTT07H04Sf92YB42JmoTh0&libraries=places">
    </script>

<!-- <script async src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAt-gse4bGMVJTT07H04Sf92YB42JmoTh0&callback=initMap">
    </script> -->

<script src="{% static 'app_pizzaplanet/js/localizacion.js' %}"></script>
<script src="{% static 'app_pizzaplanet/js/main.js' %}"></script>




{% endblock contenido %}